petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGetInitialGuessNonzero

Determines whether the KSP solver is using a zero initial guess.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetInitialGuessNonzero(KSP ksp,PetscBool  *flag)

Not Collective Many br

### Input Parameter

ksp -iterative context obtained from KSPCreate() Many br

### Output Parameter

flag -PETSC_TRUE if guess is nonzero, else PETSC_FALSE Many br

Many br

### Keywords

KSP, set, initial guess, nonzero

### See Also

KSPSetInitialGuessNonzero(), KSPSetInitialGuessKnoll(), KSPGetInitialGuessKnoll()

Level:intermediate
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages